/projects/api/v3/teams/{teamId}/statuses/timeline.json
Return people statuses from a specific team that the logged-in user can
access.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| searchTerm | query | optional | string | filter by the user name or status message |
| teamId | path | required | integer | — |
| teamId | query | optional | integer | filter by team |
| pageSize | query | optional | integer | number of items in a page |
| page | query | optional | integer | page number |
| skipCounts | query | optional | boolean | SkipCounts allows you to skip doing counts on a list API endpoint for |
| showDeleted | query | optional | boolean | showDeleted statuses |
| includeSubteams | query | optional | boolean | also include statuses from subteams |
| include | query | optional | array | include |
| fields[users] | query | optional | array | — |
200 OK
400 Bad Request
GET /projects/api/v3/teams/{teamId}/statuses/timeline.json
/projects/api/v3/people/{personId}.json
Retrieve a person record.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| userType | query | optional | string | user type |
| updatedAfter | query | optional | string | date time |
| searchTerm | query | optional | string | filter by comment content |
| orderMode | query | optional | string | order mode |
| orderBy | query | optional | string | order by |
| lastLoginAfter | query | optional | string | — |
| personId | path | required | integer | — |
| pageSize | query | optional | integer | number of items in a page (not used when generating reports) |
| page | query | optional | integer | page number (not used when generating reports) |
| skipCounts | query | optional | boolean | SkipCounts allows you to skip doing counts on a list API endpoint for |
| showDeleted | query | optional | boolean | include deleted items |
| orderPrioritiseCurrentUser | query | optional | boolean | Force to have the current/session user in the response |
| onlySiteOwner | query | optional | boolean | — |
| onlyOwnerCompany | query | optional | boolean | return people only from the owner company. This will replace any provided |
| includeServiceAccounts | query | optional | boolean | include service accounts |
| includeCollaborators | query | optional | boolean | exclude collaborators types, returning only account and contact. |
| includeClients | query | optional | boolean | include clients |
| filterByNoCostRate | query | optional | boolean | Returns users who are missing cost rates(OCA only) |
| excludeContacts | query | optional | boolean | exclude contact types, returning only account and collaborator. |
| teamIds | query | optional | array | team ids |
| projectIds | query | optional | array | filter by project ids |
| include | query | optional | array | include (not used when generating reports) |
| ids | query | optional | array | filter by user ids |
| fields[teams] | query | optional | array | — |
| fields[person] | query | optional | array | — |
| fields[people] | query | optional | array | — |
| fields[companies] | query | optional | array | — |
| fields[ProjectPermissions] | query | optional | array | — |
| excludeProjectIds | query | optional | array | exclude people assigned to certain project id |
| companyIds | query | optional | array | company ids |
200 OK
400 Bad Request
403 Forbidden
GET /projects/api/v3/people/{personId}.json
/projects/api/v3/projects/{projectId}/people/{personId}.json
Retrieve a person record.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| userType | query | optional | string | user type |
| updatedAfter | query | optional | string | date time |
| searchTerm | query | optional | string | filter by comment content |
| orderMode | query | optional | string | order mode |
| orderBy | query | optional | string | order by |
| lastLoginAfter | query | optional | string | — |
| projectId | path | required | integer | — |
| personId | path | required | integer | — |
| pageSize | query | optional | integer | number of items in a page (not used when generating reports) |
| page | query | optional | integer | page number (not used when generating reports) |
| skipCounts | query | optional | boolean | SkipCounts allows you to skip doing counts on a list API endpoint for |
| showDeleted | query | optional | boolean | include deleted items |
| orderPrioritiseCurrentUser | query | optional | boolean | Force to have the current/session user in the response |
| onlySiteOwner | query | optional | boolean | — |
| onlyOwnerCompany | query | optional | boolean | return people only from the owner company. This will replace any provided |
| includeServiceAccounts | query | optional | boolean | include service accounts |
| includeCollaborators | query | optional | boolean | exclude collaborators types, returning only account and contact. |
| includeClients | query | optional | boolean | include clients |
| filterByNoCostRate | query | optional | boolean | Returns users who are missing cost rates(OCA only) |
| excludeContacts | query | optional | boolean | exclude contact types, returning only account and collaborator. |
| teamIds | query | optional | array | team ids |
| projectIds | query | optional | array | filter by project ids |
| include | query | optional | array | include (not used when generating reports) |
| ids | query | optional | array | filter by user ids |
| fields[teams] | query | optional | array | — |
| fields[person] | query | optional | array | — |
| fields[people] | query | optional | array | — |
| fields[companies] | query | optional | array | — |
| fields[ProjectPermissions] | query | optional | array | — |
| excludeProjectIds | query | optional | array | exclude people assigned to certain project id |
| companyIds | query | optional | array | company ids |
200 OK
400 Bad Request
403 Forbidden
GET /projects/api/v3/projects/{projectId}/people/{personId}.json
/projects/api/v3/reporting/precanned/usertaskcompletion/{userId}.json
Retrieve a person record and its task completion stats.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| userType | query | optional | string | user type |
| updatedAfter | query | optional | string | date time |
| startDate | query | optional | string | start date for task completion report |
| searchTerm | query | optional | string | filter by comment content |
| reportFormat | query | optional | string | define the format of the report |
| orderMode | query | optional | string | order mode |
| orderBy | query | optional | string | order by |
| lastLoginAfter | query | optional | string | — |
| endDate | query | optional | string | end date for task completion report |
| userId | path | required | integer | — |
| pageSize | query | optional | integer | number of items in a page (not used when generating reports) |
| page | query | optional | integer | page number (not used when generating reports) |
| skipCounts | query | optional | boolean | SkipCounts allows you to skip doing counts on a list API endpoint for |
| showDeleted | query | optional | boolean | include deleted items |
| orderPrioritiseCurrentUser | query | optional | boolean | Force to have the current/session user in the response |
| onlySiteOwner | query | optional | boolean | — |
| onlyOwnerCompany | query | optional | boolean | return people only from the owner company. This will replace any provided |
| isReportDownload | query | optional | boolean | generate a report document |
| includeServiceAccounts | query | optional | boolean | include service accounts |
| includeCollaborators | query | optional | boolean | exclude collaborators types, returning only account and contact. |
| includeClients | query | optional | boolean | include clients |
| filterByNoCostRate | query | optional | boolean | Returns users who are missing cost rates(OCA only) |
| excludeContacts | query | optional | boolean | exclude contact types, returning only account and collaborator. |
| teamIds | query | optional | array | team ids |
| selectedColumns | query | optional | array | customise the report by selecting columns |
| projectIds | query | optional | array | filter by project ids |
| include | query | optional | array | include (not used when generating reports) |
| ids | query | optional | array | filter by user ids |
| fields[teams] | query | optional | array | — |
| fields[person] | query | optional | array | — |
| fields[people] | query | optional | array | — |
| fields[companies] | query | optional | array | — |
| fields[ProjectPermissions] | query | optional | array | — |
| excludeProjectIds | query | optional | array | exclude people assigned to certain project id |
| companyIds | query | optional | array | company ids |
200 OK
400 Bad Request
403 Forbidden
GET /projects/api/v3/reporting/precanned/usertaskcompletion/{userId}.json
/projects/api/v3/projects/updates.json
Return the updates from all projects that the logged-in user can access.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| updatedAfter | query | optional | string | filter by updated after |
| projectStatus | query | optional | string | filter by project status |
| orderMode | query | optional | string | order mode |
| orderBy | query | optional | string | order by |
| createdAfter | query | optional | string | filter by creation date |
| projectId | query | optional | integer | filter by project id |
| pageSize | query | optional | integer | number of items in a page |
| page | query | optional | integer | page number |
| skipCounts | query | optional | boolean | SkipCounts allows you to skip doing counts on a list API endpoint for |
| showDeleted | query | optional | boolean | include deleted items |
| reactions | query | optional | boolean | add reactions to the response |
| onlyStarredProjects | query | optional | boolean | filter by starred projects only |
| matchAllProjectTags | query | optional | boolean | match all project tags |
| includeArchivedProjects | query | optional | boolean | include archived projects |
| emoji | query | optional | boolean | parse emojis to unicode |
| activeOnly | query | optional | boolean | filter by active |
| projectTagIds | query | optional | array | filter by project tag ids |
| projectStatuses | query | optional | array | list of project status |
| projectOwnerIds | query | optional | array | filter by project owner ids |
| projectHealths | query | optional | array | filter by project health |
| projectHealth | query | optional | array | filter by project health (deprecated, use projectHealths) |
| projectCompanyIds | query | optional | array | filter by company ids |
| projectCategoryIds | query | optional | array | filter by project category ids |
| include | query | optional | array | include |
| fields[users] | query | optional | array | — |
| fields[projects] | query | optional | array | — |
| fields[projectUpdates] | query | optional | array | — |
200 OK
400 Bad Request
GET /projects/api/v3/projects/updates.json
/projects/api/v3/projects/{projectIds}/updates.json
Return the updates from a specific project.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| updatedAfter | query | optional | string | filter by updated after |
| projectStatus | query | optional | string | filter by project status |
| orderMode | query | optional | string | order mode |
| orderBy | query | optional | string | order by |
| createdAfter | query | optional | string | filter by creation date |
| projectIds | path | required | integer | — |
| projectId | query | optional | integer | filter by project id |
| pageSize | query | optional | integer | number of items in a page |
| page | query | optional | integer | page number |
| skipCounts | query | optional | boolean | SkipCounts allows you to skip doing counts on a list API endpoint for |
| showDeleted | query | optional | boolean | include deleted items |
| reactions | query | optional | boolean | add reactions to the response |
| onlyStarredProjects | query | optional | boolean | filter by starred projects only |
| matchAllProjectTags | query | optional | boolean | match all project tags |
| includeArchivedProjects | query | optional | boolean | include archived projects |
| emoji | query | optional | boolean | parse emojis to unicode |
| activeOnly | query | optional | boolean | filter by active |
| projectTagIds | query | optional | array | filter by project tag ids |
| projectStatuses | query | optional | array | list of project status |
| projectOwnerIds | query | optional | array | filter by project owner ids |
| projectHealths | query | optional | array | filter by project health |
| projectHealth | query | optional | array | filter by project health (deprecated, use projectHealths) |
| projectCompanyIds | query | optional | array | filter by company ids |
| projectCategoryIds | query | optional | array | filter by project category ids |
| include | query | optional | array | include |
| fields[users] | query | optional | array | — |
| fields[projects] | query | optional | array | — |
| fields[projectUpdates] | query | optional | array | — |
200 OK
400 Bad Request
GET /projects/api/v3/projects/{projectIds}/updates.json
/projects/api/v3/projects.json
Retrieve all projects for the provided filters. Only the projects that the
logged-in user can access will be returned.
On this endpoint you can filter by project custom fields. The syntax for the
query parameter is the following:
projectCustomField[id][op]=value
Where:
For example, if I want to filter a dropdown custom field with ID 10 to only
return entries that have the value “Option1” we would do the following:
projectCustomField[10][eq]=Option1
The allowed operators are:
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| updatedAfter | query | optional | string | updated after |
| searchTerm | query | optional | string | filter by project name |
| reportType | query | optional | string | define the type of the report |
| reportTimezone | query | optional | string | Optional to configure the report dates displayed in a timezone |
| reportFormat | query | optional | string | define the format of the report |
| projectType | query | optional | string | filter by project type |
| orderMode | query | optional | string | order mode |
| orderBy | query | optional | string | order by |
| notCompletedBefore | query | optional | string | filter by projects that have not been completed before the given date |
| minLastActivityDate | query | optional | string | filter by min last activity date |
| maxLastActivityDate | query | optional | string | filter by max last activity date |
| currencySymbol | query | optional | string | currency symbol for report export |
| userId | query | optional | integer | filter by user id |
| pageSize | query | optional | integer | number of items in a page (not used when generating reports) |
| page | query | optional | integer | page number (not used when generating reports) |
| orderByCustomFieldId | query | optional | integer | order by custom field id when orderBy is equal to customfield |
| minBudgetCapacityUsedPercent | query | optional | integer | filter by minimum budget capacity used |
| maxBudgetCapacityUsedPercent | query | optional | integer | filter by maximum budget capacity used |
| useFormulaFields | query | optional | boolean | use formula fields |
| skipCounts | query | optional | boolean | SkipCounts allows you to skip doing counts on a list API endpoint for |
| searchCompanies | query | optional | boolean | include companies in the search |
| searchByLetter | query | optional | boolean | search projects beginning with the search term character only when it contains a single character. |
| onlyStarredProjects | query | optional | boolean | filter by starred projects only |
| onlyProjectsWithExplicitMembership | query | optional | boolean | only show projects with explicit membership |
| onlyProjectsThatCanLogTime | query | optional | boolean | can log time on projects |
| onlyArchivedProjects | query | optional | boolean | return only archived projects |
| matchAllProjectTags | query | optional | boolean | match all project tags |
| matchAllExcludedTags | query | optional | boolean | match all excluded project tags |
| isReportDownload | query | optional | boolean | generate a report document |
| includeTentativeProjects | query | optional | boolean | include alongside normal projects, tentative ones |
| includeSubCategories | query | optional | boolean | include sub categories when filtering by ids |
| includeStats | query | optional | boolean | include project status counts for tasks columns billing events milestones |
| includeProjectUserInfo | query | optional | boolean | fetch user-specific data such as isStarred |
| includeProjectProfitability | query | optional | boolean | include project profitability in response |
| includeProjectDates | query | optional | boolean | include minimum and maximum start/end dates for projects |
| includeCustomFields | query | optional | boolean | include custom fields |
| includeCounts | query | optional | boolean | include project related counts |
| includeCompletedStatus | query | optional | boolean | optional to include completed projects when filtering by project statuses “current,late”. |
| includeArchivedProjects | query | optional | boolean | include archived projects |
| hideObservedProjects | query | optional | boolean | hide projects where the logged-in user is just an observer |
| alwaysIncludeFiltering | query | optional | boolean | includes filters when project ids are provided |
| teamIds | query | optional | array | filter by projects that contain users associated with the team ids |
| selectedColumns | query | optional | array | select the columns to use in exports. |
| projectTagIds | query | optional | array | filter by project tag ids |
| projectStatuses | query | optional | array | filter by project status |
| projectOwnerIds | query | optional | array | filter by project owner ids |
| projectIds | query | optional | array | filter by project ids |
| projectHealths | query | optional | array | filter by project healths 0: not set |
| projectCompanyIds | query | optional | array | filter by company ids |
| projectCategoryIds | query | optional | array | filter by project category ids |
| includeCustomFieldIds | query | optional | array | include specific custom fields |
| include | query | optional | array | include (not used when generating reports) |
| fields[workflows] | query | optional | array | — |
| fields[users] | query | optional | array | — |
| fields[tags] | query | optional | array | — |
| fields[stages] | query | optional | array | — |
| fields[projects] | query | optional | array | — |
| fields[projectcategories] | query | optional | array | — |
| fields[projectUpdates] | query | optional | array | — |
| fields[projectBudgets] | query | optional | array | — |
| fields[portfolioColumns] | query | optional | array | — |
| fields[portfolioCards] | query | optional | array | — |
| fields[portfolioBoards] | query | optional | array | — |
| fields[industries] | query | optional | array | — |
| fields[customfields] | query | optional | array | — |
| fields[customfieldProjects] | query | optional | array | — |
| fields[countries] | query | optional | array | — |
| fields[companies] | query | optional | array | — |
| featuresEnabled | query | optional | array | filter by projects that have features enabled |
| excludeTagIds | query | optional | array | exclude by project tag ids |
200 OK
400 Bad Request
403 Forbidden
GET /projects/api/v3/projects.json
/projects/api/v3/projects/featureorder.json
Each field must have an index, from 0 to numFeatures -1
without repeated numbers to provide the order
to display the features
application/json
project.FeatureOrderDefaults
| Property | Type | Required |
|---|---|---|
| list | integer | optional |
| time | integer | optional |
| board | integer | optional |
| files | integer | optional |
| forms | integer | optional |
| gantt | integer | optional |
| links | integer | optional |
| risks | integer | optional |
| table | integer | optional |
| people | integer | optional |
| proofs | integer | optional |
| billing | integer | optional |
| finance | integer | optional |
| comments | integer | optional |
| messages | integer | optional |
| settings | integer | optional |
| dashboard | integer | optional |
| notebooks | integer | optional |
| milestones | integer | optional |
| numVisibleTabs | integer | optional |
200 OK
400 Bad Request
403 Forbidden
PUT /projects/api/v3/projects/featureorder.json
/projects/api/v3/projects/metrics/active.json
Return the number of active projects that the logged-in user can access.
200 OK
400 Bad Request
404 Not Found (no data)
GET /projects/api/v3/projects/metrics/active.json
/projects/api/v3/projects/metrics/billable.json
Returns the total billable time of all projects that the logged-in user has
access.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| startDate | query | optional | string | — |
| orderMode | query | optional | string | order mode |
| endDate | query | optional | string | — |
200 OK
400 Bad Request
GET /projects/api/v3/projects/metrics/billable.json
/projects/api/v3/projects/metrics/healths.json
Return the number of projects on each health category. It will only count the
projects that the logged-in user can access.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| projectStatus | query | optional | string | filter by project status |
| onlyStarredProjects | query | optional | boolean | filter by starred projects only |
| matchAllProjectTags | query | optional | boolean | match all project tags |
| projectTagIds | query | optional | array | filter by project tag ids |
| projectStatuses | query | optional | array | filter by project statuses |
| projectOwnerIds | query | optional | array | filter by project owner ids |
| projectIds | query | optional | array | filter by project ids |
| projectHealths | query | optional | array | project health 0: not set |
| projectCompanyIds | query | optional | array | filter by company ids |
| projectCategoryIds | query | optional | array | filter by project category ids |
200 OK
400 Bad Request
GET /projects/api/v3/projects/metrics/healths.json
/projects/api/v3/projects/metrics/invoice.json
Count the number of open invoices on all projects that the logged-in user has
access.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| onlyStarredProjects | query | optional | boolean | filter by starred projects only |
| matchAllProjectTags | query | optional | boolean | match all project tags |
| includeArchivedProjects | query | optional | boolean | include archived projects |
| projectTagIds | query | optional | array | filter by project tag ids |
| projectStatuses | query | optional | array | project status |
| projectOwnerIds | query | optional | array | filter by project owner ids |
| projectIds | query | optional | array | filter by project ids |
| projectHealths | query | optional | array | project health 0: not set |
| projectCompanyIds | query | optional | array | filter by company ids |
| projectCategoryIds | query | optional | array | filter by project category ids |
200 OK
400 Bad Request
GET /projects/api/v3/projects/metrics/invoice.json
/projects/api/v3/projects/metrics/owners.json
Count the number of projects per project owner user.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| orderMode | query | optional | string | sort order |
| pageSize | query | optional | integer | number of items in a page |
| page | query | optional | integer | page number |
| skipCounts | query | optional | boolean | SkipCounts allows you to skip doing counts on a list API endpoint for |
| onlyStarredProjects | query | optional | boolean | filter by starred projects only |
| matchAllProjectTags | query | optional | boolean | match all project tags |
| projectTagIds | query | optional | array | filter by project tag ids |
| projectStatuses | query | optional | array | project status |
| projectOwnerIds | query | optional | array | filter by project owner ids |
| projectIds | query | optional | array | filter by project ids |
| projectHealths | query | optional | array | project health 0: not set |
| projectCompanyIds | query | optional | array | filter by company ids |
| projectCategoryIds | query | optional | array | filter by project category ids |
200 OK
400 Bad Request
GET /projects/api/v3/projects/metrics/owners.json
/projects/api/v3/projects/metrics/unbilled.json
Return the un-billed expenses for each project that the logged-in user has
access.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| onlyStarredProjects | query | optional | boolean | filter by starred projects only |
| matchAllProjectTags | query | optional | boolean | match all project tags |
| includeArchivedProjects | query | optional | boolean | include archived projects |
| projectTagIds | query | optional | array | filter by project tag ids |
| projectStatuses | query | optional | array | project status |
| projectOwnerIds | query | optional | array | filter by project owner ids |
| projectIds | query | optional | array | filter by project ids |
| projectHealths | query | optional | array | project health 0: not set |
| projectCompanyIds | query | optional | array | filter by company ids |
| projectCategoryIds | query | optional | array | filter by project category ids |
200 OK
400 Bad Request
GET /projects/api/v3/projects/metrics/unbilled.json
/projects/api/v3/projects/starred.json
Retrieve all starred projects for the provided filters. Only the projects
that the logged-in user can access will be returned.
On this endpoint you can filter by project custom fields. The syntax for the
query parameter is the following:
projectCustomField[id][op]=value
Where:
For example, if I want to filter a dropdown custom field with ID 10 to only
return entries that have the value “Option1” we would do the following:
projectCustomField[10][eq]=Option1
The allowed operators are:
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| updatedAfter | query | optional | string | updated after |
| searchTerm | query | optional | string | filter by project name |
| reportType | query | optional | string | define the type of the report |
| reportTimezone | query | optional | string | Optional to configure the report dates displayed in a timezone |
| reportFormat | query | optional | string | define the format of the report |
| projectType | query | optional | string | filter by project type |
| orderMode | query | optional | string | order mode |
| orderBy | query | optional | string | order by |
| notCompletedBefore | query | optional | string | filter by projects that have not been completed before the given date |
| minLastActivityDate | query | optional | string | filter by min last activity date |
| maxLastActivityDate | query | optional | string | filter by max last activity date |
| currencySymbol | query | optional | string | currency symbol for report export |
| userId | query | optional | integer | filter by user id |
| pageSize | query | optional | integer | number of items in a page (not used when generating reports) |
| page | query | optional | integer | page number (not used when generating reports) |
| orderByCustomFieldId | query | optional | integer | order by custom field id when orderBy is equal to customfield |
| minBudgetCapacityUsedPercent | query | optional | integer | filter by minimum budget capacity used |
| maxBudgetCapacityUsedPercent | query | optional | integer | filter by maximum budget capacity used |
| useFormulaFields | query | optional | boolean | use formula fields |
| skipCounts | query | optional | boolean | SkipCounts allows you to skip doing counts on a list API endpoint for |
| searchCompanies | query | optional | boolean | include companies in the search |
| searchByLetter | query | optional | boolean | search projects beginning with the search term character only when it contains a single character. |
| onlyStarredProjects | query | optional | boolean | filter by starred projects only |
| onlyProjectsWithExplicitMembership | query | optional | boolean | only show projects with explicit membership |
| onlyProjectsThatCanLogTime | query | optional | boolean | can log time on projects |
| onlyArchivedProjects | query | optional | boolean | return only archived projects |
| matchAllProjectTags | query | optional | boolean | match all project tags |
| matchAllExcludedTags | query | optional | boolean | match all excluded project tags |
| isReportDownload | query | optional | boolean | generate a report document |
| includeTentativeProjects | query | optional | boolean | include alongside normal projects, tentative ones |
| includeSubCategories | query | optional | boolean | include sub categories when filtering by ids |
| includeStats | query | optional | boolean | include project status counts for tasks columns billing events milestones |
| includeProjectUserInfo | query | optional | boolean | fetch user-specific data such as isStarred |
| includeProjectProfitability | query | optional | boolean | include project profitability in response |
| includeProjectDates | query | optional | boolean | include minimum and maximum start/end dates for projects |
| includeCustomFields | query | optional | boolean | include custom fields |
| includeCounts | query | optional | boolean | include project related counts |
| includeCompletedStatus | query | optional | boolean | optional to include completed projects when filtering by project statuses “current,late”. |
| includeArchivedProjects | query | optional | boolean | include archived projects |
| hideObservedProjects | query | optional | boolean | hide projects where the logged-in user is just an observer |
| alwaysIncludeFiltering | query | optional | boolean | includes filters when project ids are provided |
| teamIds | query | optional | array | filter by projects that contain users associated with the team ids |
| selectedColumns | query | optional | array | select the columns to use in exports. |
| projectTagIds | query | optional | array | filter by project tag ids |
| projectStatuses | query | optional | array | filter by project status |
| projectOwnerIds | query | optional | array | filter by project owner ids |
| projectIds | query | optional | array | filter by project ids |
| projectHealths | query | optional | array | filter by project healths 0: not set |
| projectCompanyIds | query | optional | array | filter by company ids |
| projectCategoryIds | query | optional | array | filter by project category ids |
| includeCustomFieldIds | query | optional | array | include specific custom fields |
| include | query | optional | array | include (not used when generating reports) |
| fields[workflows] | query | optional | array | — |
| fields[users] | query | optional | array | — |
| fields[tags] | query | optional | array | — |
| fields[stages] | query | optional | array | — |
| fields[projects] | query | optional | array | — |
| fields[projectcategories] | query | optional | array | — |
| fields[projectUpdates] | query | optional | array | — |
| fields[projectBudgets] | query | optional | array | — |
| fields[portfolioColumns] | query | optional | array | — |
| fields[portfolioCards] | query | optional | array | — |
| fields[portfolioBoards] | query | optional | array | — |
| fields[industries] | query | optional | array | — |
| fields[customfields] | query | optional | array | — |
| fields[customfieldProjects] | query | optional | array | — |
| fields[countries] | query | optional | array | — |
| fields[companies] | query | optional | array | — |
| featuresEnabled | query | optional | array | filter by projects that have features enabled |
| excludeTagIds | query | optional | array | exclude by project tag ids |
200 OK
400 Bad Request
403 Forbidden
GET /projects/api/v3/projects/starred.json
/projects/api/v3/projects/teamwork/samples.json
Retrieve all sample projects for the provided filters.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| searchTerm | query | optional | string | filter by project name |
| pageSize | query | optional | integer | number of items in a page (not used when generating reports) |
| page | query | optional | integer | page number (not used when generating reports) |
| skipCounts | query | optional | boolean | SkipCounts allows you to skip doing counts on a list API endpoint for |
| ids | query | optional | array | filter by sample ids |
| fields[sampleprojects] | query | optional | array | — |
| categoryIds | query | optional | array | filter by category ids |
200 OK
400 Bad Request
403 Forbidden
GET /projects/api/v3/projects/teamwork/samples.json
/projects/api/v3/projects/templates.json
Retrieve all projects templates for the provided filters. Only the projects templates that the
logged-in user can access will be returned.
On this endpoint you can filter by project custom fields. The syntax for the
query parameter is the following:
projectCustomField[id][op]=value
Where:
For example, if I want to filter a dropdown custom field with ID 10 to only
return entries that have the value “Option1” we would do the following:
projectCustomField[10][eq]=Option1
The allowed operators are:
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| updatedAfter | query | optional | string | updated after |
| searchTerm | query | optional | string | filter by project name |
| reportType | query | optional | string | define the type of the report |
| reportTimezone | query | optional | string | Optional to configure the report dates displayed in a timezone |
| reportFormat | query | optional | string | define the format of the report |
| projectType | query | optional | string | filter by project type |
| orderMode | query | optional | string | order mode |
| orderBy | query | optional | string | order by |
| notCompletedBefore | query | optional | string | filter by projects that have not been completed before the given date |
| minLastActivityDate | query | optional | string | filter by min last activity date |
| maxLastActivityDate | query | optional | string | filter by max last activity date |
| currencySymbol | query | optional | string | currency symbol for report export |
| userId | query | optional | integer | filter by user id |
| pageSize | query | optional | integer | number of items in a page (not used when generating reports) |
| page | query | optional | integer | page number (not used when generating reports) |
| orderByCustomFieldId | query | optional | integer | order by custom field id when orderBy is equal to customfield |
| minBudgetCapacityUsedPercent | query | optional | integer | filter by minimum budget capacity used |
| maxBudgetCapacityUsedPercent | query | optional | integer | filter by maximum budget capacity used |
| useFormulaFields | query | optional | boolean | use formula fields |
| skipCounts | query | optional | boolean | SkipCounts allows you to skip doing counts on a list API endpoint for |
| searchCompanies | query | optional | boolean | include companies in the search |
| searchByLetter | query | optional | boolean | search projects beginning with the search term character only when it contains a single character. |
| onlyStarredProjects | query | optional | boolean | filter by starred projects only |
| onlyProjectsWithExplicitMembership | query | optional | boolean | only show projects with explicit membership |
| onlyProjectsThatCanLogTime | query | optional | boolean | can log time on projects |
| onlyArchivedProjects | query | optional | boolean | return only archived projects |
| matchAllProjectTags | query | optional | boolean | match all project tags |
| matchAllExcludedTags | query | optional | boolean | match all excluded project tags |
| isReportDownload | query | optional | boolean | generate a report document |
| includeTentativeProjects | query | optional | boolean | include alongside normal projects, tentative ones |
| includeSubCategories | query | optional | boolean | include sub categories when filtering by ids |
| includeStats | query | optional | boolean | include project status counts for tasks columns billing events milestones |
| includeProjectUserInfo | query | optional | boolean | fetch user-specific data such as isStarred |
| includeProjectProfitability | query | optional | boolean | include project profitability in response |
| includeProjectDates | query | optional | boolean | include minimum and maximum start/end dates for projects |
| includeCustomFields | query | optional | boolean | include custom fields |
| includeCounts | query | optional | boolean | include project related counts |
| includeCompletedStatus | query | optional | boolean | optional to include completed projects when filtering by project statuses “current,late”. |
| includeArchivedProjects | query | optional | boolean | include archived projects |
| hideObservedProjects | query | optional | boolean | hide projects where the logged-in user is just an observer |
| alwaysIncludeFiltering | query | optional | boolean | includes filters when project ids are provided |
| teamIds | query | optional | array | filter by projects that contain users associated with the team ids |
| selectedColumns | query | optional | array | select the columns to use in exports. |
| projectTagIds | query | optional | array | filter by project tag ids |
| projectStatuses | query | optional | array | filter by project status |
| projectOwnerIds | query | optional | array | filter by project owner ids |
| projectIds | query | optional | array | filter by project ids |
| projectHealths | query | optional | array | filter by project healths 0: not set |
| projectCompanyIds | query | optional | array | filter by company ids |
| projectCategoryIds | query | optional | array | filter by project category ids |
| includeCustomFieldIds | query | optional | array | include specific custom fields |
| include | query | optional | array | include (not used when generating reports) |
| fields[workflows] | query | optional | array | — |
| fields[users] | query | optional | array | — |
| fields[tags] | query | optional | array | — |
| fields[stages] | query | optional | array | — |
| fields[projects] | query | optional | array | — |
| fields[projectcategories] | query | optional | array | — |
| fields[projectUpdates] | query | optional | array | — |
| fields[projectBudgets] | query | optional | array | — |
| fields[portfolioColumns] | query | optional | array | — |
| fields[portfolioCards] | query | optional | array | — |
| fields[portfolioBoards] | query | optional | array | — |
| fields[industries] | query | optional | array | — |
| fields[customfields] | query | optional | array | — |
| fields[customfieldProjects] | query | optional | array | — |
| fields[countries] | query | optional | array | — |
| fields[companies] | query | optional | array | — |
| featuresEnabled | query | optional | array | filter by projects that have features enabled |
| excludeTagIds | query | optional | array | exclude by project tag ids |
200 OK
400 Bad Request
403 Forbidden
GET /projects/api/v3/projects/templates.json
/projects/api/v3/projects/tentative/{projectId}/convert.json
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| projectId | path | required | integer | — |
200 OK
400 Bad Request
403 Forbidden
PUT /projects/api/v3/projects/tentative/{projectId}/convert.json
/projects/api/v3/projects/{projectId}.json
On this endpoint you can filter by project custom fields. The syntax for the
query parameter is the following:
projectCustomField[id][op]=value
Where:
For example, if I want to filter a dropdown custom field with ID 10 to only
return entries that have the value “Option1” we would do the following:
projectCustomField[10][eq]=Option1
The allowed operators are:
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| updatedAfter | query | optional | string | updated after |
| searchTerm | query | optional | string | filter by project name |
| reportType | query | optional | string | define the type of the report |
| reportTimezone | query | optional | string | Optional to configure the report dates displayed in a timezone |
| reportFormat | query | optional | string | define the format of the report |
| projectType | query | optional | string | filter by project type |
| orderMode | query | optional | string | order mode |
| orderBy | query | optional | string | order by |
| notCompletedBefore | query | optional | string | filter by projects that have not been completed before the given date |
| minLastActivityDate | query | optional | string | filter by min last activity date |
| maxLastActivityDate | query | optional | string | filter by max last activity date |
| currencySymbol | query | optional | string | currency symbol for report export |
| userId | query | optional | integer | filter by user id |
| projectId | path | required | integer | — |
| pageSize | query | optional | integer | number of items in a page (not used when generating reports) |
| page | query | optional | integer | page number (not used when generating reports) |
| orderByCustomFieldId | query | optional | integer | order by custom field id when orderBy is equal to customfield |
| minBudgetCapacityUsedPercent | query | optional | integer | filter by minimum budget capacity used |
| maxBudgetCapacityUsedPercent | query | optional | integer | filter by maximum budget capacity used |
| useFormulaFields | query | optional | boolean | use formula fields |
| skipCounts | query | optional | boolean | SkipCounts allows you to skip doing counts on a list API endpoint for |
| searchCompanies | query | optional | boolean | include companies in the search |
| searchByLetter | query | optional | boolean | search projects beginning with the search term character only when it contains a single character. |
| onlyStarredProjects | query | optional | boolean | filter by starred projects only |
| onlyProjectsWithExplicitMembership | query | optional | boolean | only show projects with explicit membership |
| onlyProjectsThatCanLogTime | query | optional | boolean | can log time on projects |
| onlyArchivedProjects | query | optional | boolean | return only archived projects |
| matchAllProjectTags | query | optional | boolean | match all project tags |
| matchAllExcludedTags | query | optional | boolean | match all excluded project tags |
| isReportDownload | query | optional | boolean | generate a report document |
| includeTentativeProjects | query | optional | boolean | include alongside normal projects, tentative ones |
| includeSubCategories | query | optional | boolean | include sub categories when filtering by ids |
| includeStats | query | optional | boolean | include project status counts for tasks columns billing events milestones |
| includeProjectUserInfo | query | optional | boolean | fetch user-specific data such as isStarred |
| includeProjectProfitability | query | optional | boolean | include project profitability in response |
| includeProjectDates | query | optional | boolean | include minimum and maximum start/end dates for projects |
| includeCustomFields | query | optional | boolean | include custom fields |
| includeCounts | query | optional | boolean | include project related counts |
| includeCompletedStatus | query | optional | boolean | optional to include completed projects when filtering by project statuses “current,late”. |
| includeArchivedProjects | query | optional | boolean | include archived projects |
| hideObservedProjects | query | optional | boolean | hide projects where the logged-in user is just an observer |
| alwaysIncludeFiltering | query | optional | boolean | includes filters when project ids are provided |
| teamIds | query | optional | array | filter by projects that contain users associated with the team ids |
| selectedColumns | query | optional | array | select the columns to use in exports. |
| projectTagIds | query | optional | array | filter by project tag ids |
| projectStatuses | query | optional | array | filter by project status |
| projectOwnerIds | query | optional | array | filter by project owner ids |
| projectIds | query | optional | array | filter by project ids |
| projectHealths | query | optional | array | filter by project healths 0: not set |
| projectCompanyIds | query | optional | array | filter by company ids |
| projectCategoryIds | query | optional | array | filter by project category ids |
| includeCustomFieldIds | query | optional | array | include specific custom fields |
| include | query | optional | array | include (not used when generating reports) |
| fields[workflows] | query | optional | array | — |
| fields[users] | query | optional | array | — |
| fields[tags] | query | optional | array | — |
| fields[stages] | query | optional | array | — |
| fields[projects] | query | optional | array | — |
| fields[projectcategories] | query | optional | array | — |
| fields[projectUpdates] | query | optional | array | — |
| fields[projectBudgets] | query | optional | array | — |
| fields[portfolioColumns] | query | optional | array | — |
| fields[portfolioCards] | query | optional | array | — |
| fields[portfolioBoards] | query | optional | array | — |
| fields[industries] | query | optional | array | — |
| fields[customfields] | query | optional | array | — |
| fields[customfieldProjects] | query | optional | array | — |
| fields[countries] | query | optional | array | — |
| fields[companies] | query | optional | array | — |
| featuresEnabled | query | optional | array | filter by projects that have features enabled |
| excludeTagIds | query | optional | array | exclude by project tag ids |
200 OK
400 Bad Request
403 Forbidden
404 Not Found (no data)
GET /projects/api/v3/projects/{projectId}.json
/projects/api/v3/projects/{projectId}/featureorder.json
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| projectId | path | required | integer | — |
200 OK
400 Bad Request
GET /projects/api/v3/projects/{projectId}/featureorder.json
/projects/api/v3/projects/{projectId}/featureorder.json
Each field must have an index, from 0 to numFeatures -1
without repeated numbers to provide the order
to display the features
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| projectId | path | required | integer | — |
application/json
project.FeatureOrderRequest
| Property | Type | Required |
|---|---|---|
| featureOrder | object | optional |
| └ id | integer | optional |
| └ list | integer | optional |
| └ time | integer | optional |
| └ board | integer | optional |
| └ files | integer | optional |
| └ forms | integer | optional |
| └ gantt | integer | optional |
| └ links | integer | optional |
| └ risks | integer | optional |
| └ table | integer | optional |
| └ people | integer | optional |
| └ proofs | integer | optional |
| └ billing | integer | optional |
| └ finance | integer | optional |
| └ comments | integer | optional |
| └ messages | integer | optional |
| └ settings | integer | optional |
| └ dashboard | integer | optional |
| └ notebooks | integer | optional |
| └ projectId | integer | optional |
| └ …3 more | object | optional |
| featureOrderOptions | object | optional |
| └ useNotifyViaTWIM | boolean | optional |
200 OK
400 Bad Request
403 Forbidden
PUT /projects/api/v3/projects/{projectId}/featureorder.json
/projects/api/v3/reporting/precanned/health/projects.csv
Generates a project report in CSV format containing all projects for the
provided filters. Only the projects that the logged-in user can access will
be returned.
On this endpoint you can filter by project custom fields. The syntax for the
query parameter is the following:
projectCustomField[id][op]=value
Where:
For example, if I want to filter a dropdown custom field with ID 10 to only
return entries that have the value “Option1” we would do the following:
projectCustomField[10][eq]=Option1
The allowed operators are:
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| updatedAfter | query | optional | string | updated after |
| searchTerm | query | optional | string | filter by project name |
| reportType | query | optional | string | define the type of the report |
| reportTimezone | query | optional | string | Optional to configure the report dates displayed in a timezone |
| reportFormat | query | optional | string | define the format of the report |
| projectType | query | optional | string | filter by project type |
| orderMode | query | optional | string | order mode |
| orderBy | query | optional | string | order by |
| notCompletedBefore | query | optional | string | filter by projects that have not been completed before the given date |
| minLastActivityDate | query | optional | string | filter by min last activity date |
| maxLastActivityDate | query | optional | string | filter by max last activity date |
| currencySymbol | query | optional | string | currency symbol for report export |
| userId | query | optional | integer | filter by user id |
| pageSize | query | optional | integer | number of items in a page (not used when generating reports) |
| page | query | optional | integer | page number (not used when generating reports) |
| orderByCustomFieldId | query | optional | integer | order by custom field id when orderBy is equal to customfield |
| minBudgetCapacityUsedPercent | query | optional | integer | filter by minimum budget capacity used |
| maxBudgetCapacityUsedPercent | query | optional | integer | filter by maximum budget capacity used |
| useFormulaFields | query | optional | boolean | use formula fields |
| skipCounts | query | optional | boolean | SkipCounts allows you to skip doing counts on a list API endpoint for |
| searchCompanies | query | optional | boolean | include companies in the search |
| searchByLetter | query | optional | boolean | search projects beginning with the search term character only when it contains a single character. |
| onlyStarredProjects | query | optional | boolean | filter by starred projects only |
| onlyProjectsWithExplicitMembership | query | optional | boolean | only show projects with explicit membership |
| onlyProjectsThatCanLogTime | query | optional | boolean | can log time on projects |
| onlyArchivedProjects | query | optional | boolean | return only archived projects |
| matchAllProjectTags | query | optional | boolean | match all project tags |
| matchAllExcludedTags | query | optional | boolean | match all excluded project tags |
| isReportDownload | query | optional | boolean | generate a report document |
| includeTentativeProjects | query | optional | boolean | include alongside normal projects, tentative ones |
| includeSubCategories | query | optional | boolean | include sub categories when filtering by ids |
| includeStats | query | optional | boolean | include project status counts for tasks columns billing events milestones |
| includeProjectUserInfo | query | optional | boolean | fetch user-specific data such as isStarred |
| includeProjectProfitability | query | optional | boolean | include project profitability in response |
| includeProjectDates | query | optional | boolean | include minimum and maximum start/end dates for projects |
| includeCustomFields | query | optional | boolean | include custom fields |
| includeCounts | query | optional | boolean | include project related counts |
| includeCompletedStatus | query | optional | boolean | optional to include completed projects when filtering by project statuses “current,late”. |
| includeArchivedProjects | query | optional | boolean | include archived projects |
| hideObservedProjects | query | optional | boolean | hide projects where the logged-in user is just an observer |
| alwaysIncludeFiltering | query | optional | boolean | includes filters when project ids are provided |
| teamIds | query | optional | array | filter by projects that contain users associated with the team ids |
| selectedColumns | query | optional | array | select the columns to use in exports. |
| projectTagIds | query | optional | array | filter by project tag ids |
| projectStatuses | query | optional | array | filter by project status |
| projectOwnerIds | query | optional | array | filter by project owner ids |
| projectIds | query | optional | array | filter by project ids |
| projectHealths | query | optional | array | filter by project healths 0: not set |
| projectCompanyIds | query | optional | array | filter by company ids |
| projectCategoryIds | query | optional | array | filter by project category ids |
| includeCustomFieldIds | query | optional | array | include specific custom fields |
| include | query | optional | array | include (not used when generating reports) |
| fields[workflows] | query | optional | array | — |
| fields[users] | query | optional | array | — |
| fields[tags] | query | optional | array | — |
| fields[stages] | query | optional | array | — |
| fields[projects] | query | optional | array | — |
| fields[projectcategories] | query | optional | array | — |
| fields[projectUpdates] | query | optional | array | — |
| fields[projectBudgets] | query | optional | array | — |
| fields[portfolioColumns] | query | optional | array | — |
| fields[portfolioCards] | query | optional | array | — |
| fields[portfolioBoards] | query | optional | array | — |
| fields[industries] | query | optional | array | — |
| fields[customfields] | query | optional | array | — |
| fields[customfieldProjects] | query | optional | array | — |
| fields[countries] | query | optional | array | — |
| fields[companies] | query | optional | array | — |
| featuresEnabled | query | optional | array | filter by projects that have features enabled |
| excludeTagIds | query | optional | array | exclude by project tag ids |
200 OK (no data)
400 Bad Request
403 Forbidden
GET /projects/api/v3/reporting/precanned/health/projects.csv
/projects/api/v3/reporting/precanned/health/projects.html
Generates a project report in HTML format containing all projects for the
provided filters. Only the projects that the logged-in user can access will
be returned.
On this endpoint you can filter by project custom fields. The syntax for the
query parameter is the following:
projectCustomField[id][op]=value
Where:
For example, if I want to filter a dropdown custom field with ID 10 to only
return entries that have the value “Option1” we would do the following:
projectCustomField[10][eq]=Option1
The allowed operators are:
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| updatedAfter | query | optional | string | updated after |
| searchTerm | query | optional | string | filter by project name |
| reportType | query | optional | string | define the type of the report |
| reportTimezone | query | optional | string | Optional to configure the report dates displayed in a timezone |
| reportFormat | query | optional | string | define the format of the report |
| projectType | query | optional | string | filter by project type |
| orderMode | query | optional | string | order mode |
| orderBy | query | optional | string | order by |
| notCompletedBefore | query | optional | string | filter by projects that have not been completed before the given date |
| minLastActivityDate | query | optional | string | filter by min last activity date |
| maxLastActivityDate | query | optional | string | filter by max last activity date |
| currencySymbol | query | optional | string | currency symbol for report export |
| userId | query | optional | integer | filter by user id |
| pageSize | query | optional | integer | number of items in a page (not used when generating reports) |
| page | query | optional | integer | page number (not used when generating reports) |
| orderByCustomFieldId | query | optional | integer | order by custom field id when orderBy is equal to customfield |
| minBudgetCapacityUsedPercent | query | optional | integer | filter by minimum budget capacity used |
| maxBudgetCapacityUsedPercent | query | optional | integer | filter by maximum budget capacity used |
| useFormulaFields | query | optional | boolean | use formula fields |
| skipCounts | query | optional | boolean | SkipCounts allows you to skip doing counts on a list API endpoint for |
| searchCompanies | query | optional | boolean | include companies in the search |
| searchByLetter | query | optional | boolean | search projects beginning with the search term character only when it contains a single character. |
| onlyStarredProjects | query | optional | boolean | filter by starred projects only |
| onlyProjectsWithExplicitMembership | query | optional | boolean | only show projects with explicit membership |
| onlyProjectsThatCanLogTime | query | optional | boolean | can log time on projects |
| onlyArchivedProjects | query | optional | boolean | return only archived projects |
| matchAllProjectTags | query | optional | boolean | match all project tags |
| matchAllExcludedTags | query | optional | boolean | match all excluded project tags |
| isReportDownload | query | optional | boolean | generate a report document |
| includeTentativeProjects | query | optional | boolean | include alongside normal projects, tentative ones |
| includeSubCategories | query | optional | boolean | include sub categories when filtering by ids |
| includeStats | query | optional | boolean | include project status counts for tasks columns billing events milestones |
| includeProjectUserInfo | query | optional | boolean | fetch user-specific data such as isStarred |
| includeProjectProfitability | query | optional | boolean | include project profitability in response |
| includeProjectDates | query | optional | boolean | include minimum and maximum start/end dates for projects |
| includeCustomFields | query | optional | boolean | include custom fields |
| includeCounts | query | optional | boolean | include project related counts |
| includeCompletedStatus | query | optional | boolean | optional to include completed projects when filtering by project statuses “current,late”. |
| includeArchivedProjects | query | optional | boolean | include archived projects |
| hideObservedProjects | query | optional | boolean | hide projects where the logged-in user is just an observer |
| alwaysIncludeFiltering | query | optional | boolean | includes filters when project ids are provided |
| teamIds | query | optional | array | filter by projects that contain users associated with the team ids |
| selectedColumns | query | optional | array | select the columns to use in exports. |
| projectTagIds | query | optional | array | filter by project tag ids |
| projectStatuses | query | optional | array | filter by project status |
| projectOwnerIds | query | optional | array | filter by project owner ids |
| projectIds | query | optional | array | filter by project ids |
| projectHealths | query | optional | array | filter by project healths 0: not set |
| projectCompanyIds | query | optional | array | filter by company ids |
| projectCategoryIds | query | optional | array | filter by project category ids |
| includeCustomFieldIds | query | optional | array | include specific custom fields |
| include | query | optional | array | include (not used when generating reports) |
| fields[workflows] | query | optional | array | — |
| fields[users] | query | optional | array | — |
| fields[tags] | query | optional | array | — |
| fields[stages] | query | optional | array | — |
| fields[projects] | query | optional | array | — |
| fields[projectcategories] | query | optional | array | — |
| fields[projectUpdates] | query | optional | array | — |
| fields[projectBudgets] | query | optional | array | — |
| fields[portfolioColumns] | query | optional | array | — |
| fields[portfolioCards] | query | optional | array | — |
| fields[portfolioBoards] | query | optional | array | — |
| fields[industries] | query | optional | array | — |
| fields[customfields] | query | optional | array | — |
| fields[customfieldProjects] | query | optional | array | — |
| fields[countries] | query | optional | array | — |
| fields[companies] | query | optional | array | — |
| featuresEnabled | query | optional | array | filter by projects that have features enabled |
| excludeTagIds | query | optional | array | exclude by project tag ids |
200 OK (no data)
400 Bad Request
403 Forbidden
GET /projects/api/v3/reporting/precanned/health/projects.html
/projects/api/v3/reporting/precanned/health/projects.pdf
Generates a project report in PDF format containing all projects for the
provided filters. Only the projects that the logged-in user can access will
be returned.
On this endpoint you can filter by project custom fields. The syntax for the
query parameter is the following:
projectCustomField[id][op]=value
Where:
For example, if I want to filter a dropdown custom field with ID 10 to only
return entries that have the value “Option1” we would do the following:
projectCustomField[10][eq]=Option1
The allowed operators are:
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| updatedAfter | query | optional | string | updated after |
| searchTerm | query | optional | string | filter by project name |
| reportType | query | optional | string | define the type of the report |
| reportTimezone | query | optional | string | Optional to configure the report dates displayed in a timezone |
| reportFormat | query | optional | string | define the format of the report |
| projectType | query | optional | string | filter by project type |
| orderMode | query | optional | string | order mode |
| orderBy | query | optional | string | order by |
| notCompletedBefore | query | optional | string | filter by projects that have not been completed before the given date |
| minLastActivityDate | query | optional | string | filter by min last activity date |
| maxLastActivityDate | query | optional | string | filter by max last activity date |
| currencySymbol | query | optional | string | currency symbol for report export |
| userId | query | optional | integer | filter by user id |
| pageSize | query | optional | integer | number of items in a page (not used when generating reports) |
| page | query | optional | integer | page number (not used when generating reports) |
| orderByCustomFieldId | query | optional | integer | order by custom field id when orderBy is equal to customfield |
| minBudgetCapacityUsedPercent | query | optional | integer | filter by minimum budget capacity used |
| maxBudgetCapacityUsedPercent | query | optional | integer | filter by maximum budget capacity used |
| useFormulaFields | query | optional | boolean | use formula fields |
| skipCounts | query | optional | boolean | SkipCounts allows you to skip doing counts on a list API endpoint for |
| searchCompanies | query | optional | boolean | include companies in the search |
| searchByLetter | query | optional | boolean | search projects beginning with the search term character only when it contains a single character. |
| onlyStarredProjects | query | optional | boolean | filter by starred projects only |
| onlyProjectsWithExplicitMembership | query | optional | boolean | only show projects with explicit membership |
| onlyProjectsThatCanLogTime | query | optional | boolean | can log time on projects |
| onlyArchivedProjects | query | optional | boolean | return only archived projects |
| matchAllProjectTags | query | optional | boolean | match all project tags |
| matchAllExcludedTags | query | optional | boolean | match all excluded project tags |
| isReportDownload | query | optional | boolean | generate a report document |
| includeTentativeProjects | query | optional | boolean | include alongside normal projects, tentative ones |
| includeSubCategories | query | optional | boolean | include sub categories when filtering by ids |
| includeStats | query | optional | boolean | include project status counts for tasks columns billing events milestones |
| includeProjectUserInfo | query | optional | boolean | fetch user-specific data such as isStarred |
| includeProjectProfitability | query | optional | boolean | include project profitability in response |
| includeProjectDates | query | optional | boolean | include minimum and maximum start/end dates for projects |
| includeCustomFields | query | optional | boolean | include custom fields |
| includeCounts | query | optional | boolean | include project related counts |
| includeCompletedStatus | query | optional | boolean | optional to include completed projects when filtering by project statuses “current,late”. |
| includeArchivedProjects | query | optional | boolean | include archived projects |
| hideObservedProjects | query | optional | boolean | hide projects where the logged-in user is just an observer |
| alwaysIncludeFiltering | query | optional | boolean | includes filters when project ids are provided |
| teamIds | query | optional | array | filter by projects that contain users associated with the team ids |
| selectedColumns | query | optional | array | select the columns to use in exports. |
| projectTagIds | query | optional | array | filter by project tag ids |
| projectStatuses | query | optional | array | filter by project status |
| projectOwnerIds | query | optional | array | filter by project owner ids |
| projectIds | query | optional | array | filter by project ids |
| projectHealths | query | optional | array | filter by project healths 0: not set |
| projectCompanyIds | query | optional | array | filter by company ids |
| projectCategoryIds | query | optional | array | filter by project category ids |
| includeCustomFieldIds | query | optional | array | include specific custom fields |
| include | query | optional | array | include (not used when generating reports) |
| fields[workflows] | query | optional | array | — |
| fields[users] | query | optional | array | — |
| fields[tags] | query | optional | array | — |
| fields[stages] | query | optional | array | — |
| fields[projects] | query | optional | array | — |
| fields[projectcategories] | query | optional | array | — |
| fields[projectUpdates] | query | optional | array | — |
| fields[projectBudgets] | query | optional | array | — |
| fields[portfolioColumns] | query | optional | array | — |
| fields[portfolioCards] | query | optional | array | — |
| fields[portfolioBoards] | query | optional | array | — |
| fields[industries] | query | optional | array | — |
| fields[customfields] | query | optional | array | — |
| fields[customfieldProjects] | query | optional | array | — |
| fields[countries] | query | optional | array | — |
| fields[companies] | query | optional | array | — |
| featuresEnabled | query | optional | array | filter by projects that have features enabled |
| excludeTagIds | query | optional | array | exclude by project tag ids |
200 OK (no data)
400 Bad Request
403 Forbidden
GET /projects/api/v3/reporting/precanned/health/projects.pdf
/projects/api/v3/reporting/precanned/health/projects.xlsx
Generates a project report in XLSX format containing all projects for the
provided filters. Only the projects that the logged-in user can access will
be returned.
On this endpoint you can filter by project custom fields. The syntax for the
query parameter is the following:
projectCustomField[id][op]=value
Where:
For example, if I want to filter a dropdown custom field with ID 10 to only
return entries that have the value “Option1” we would do the following:
projectCustomField[10][eq]=Option1
The allowed operators are:
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| updatedAfter | query | optional | string | updated after |
| searchTerm | query | optional | string | filter by project name |
| reportType | query | optional | string | define the type of the report |
| reportTimezone | query | optional | string | Optional to configure the report dates displayed in a timezone |
| reportFormat | query | optional | string | define the format of the report |
| projectType | query | optional | string | filter by project type |
| orderMode | query | optional | string | order mode |
| orderBy | query | optional | string | order by |
| notCompletedBefore | query | optional | string | filter by projects that have not been completed before the given date |
| minLastActivityDate | query | optional | string | filter by min last activity date |
| maxLastActivityDate | query | optional | string | filter by max last activity date |
| currencySymbol | query | optional | string | currency symbol for report export |
| userId | query | optional | integer | filter by user id |
| pageSize | query | optional | integer | number of items in a page (not used when generating reports) |
| page | query | optional | integer | page number (not used when generating reports) |
| orderByCustomFieldId | query | optional | integer | order by custom field id when orderBy is equal to customfield |
| minBudgetCapacityUsedPercent | query | optional | integer | filter by minimum budget capacity used |
| maxBudgetCapacityUsedPercent | query | optional | integer | filter by maximum budget capacity used |
| useFormulaFields | query | optional | boolean | use formula fields |
| skipCounts | query | optional | boolean | SkipCounts allows you to skip doing counts on a list API endpoint for |
| searchCompanies | query | optional | boolean | include companies in the search |
| searchByLetter | query | optional | boolean | search projects beginning with the search term character only when it contains a single character. |
| onlyStarredProjects | query | optional | boolean | filter by starred projects only |
| onlyProjectsWithExplicitMembership | query | optional | boolean | only show projects with explicit membership |
| onlyProjectsThatCanLogTime | query | optional | boolean | can log time on projects |
| onlyArchivedProjects | query | optional | boolean | return only archived projects |
| matchAllProjectTags | query | optional | boolean | match all project tags |
| matchAllExcludedTags | query | optional | boolean | match all excluded project tags |
| isReportDownload | query | optional | boolean | generate a report document |
| includeTentativeProjects | query | optional | boolean | include alongside normal projects, tentative ones |
| includeSubCategories | query | optional | boolean | include sub categories when filtering by ids |
| includeStats | query | optional | boolean | include project status counts for tasks columns billing events milestones |
| includeProjectUserInfo | query | optional | boolean | fetch user-specific data such as isStarred |
| includeProjectProfitability | query | optional | boolean | include project profitability in response |
| includeProjectDates | query | optional | boolean | include minimum and maximum start/end dates for projects |
| includeCustomFields | query | optional | boolean | include custom fields |
| includeCounts | query | optional | boolean | include project related counts |
| includeCompletedStatus | query | optional | boolean | optional to include completed projects when filtering by project statuses “current,late”. |
| includeArchivedProjects | query | optional | boolean | include archived projects |
| hideObservedProjects | query | optional | boolean | hide projects where the logged-in user is just an observer |
| alwaysIncludeFiltering | query | optional | boolean | includes filters when project ids are provided |
| teamIds | query | optional | array | filter by projects that contain users associated with the team ids |
| selectedColumns | query | optional | array | select the columns to use in exports. |
| projectTagIds | query | optional | array | filter by project tag ids |
| projectStatuses | query | optional | array | filter by project status |
| projectOwnerIds | query | optional | array | filter by project owner ids |
| projectIds | query | optional | array | filter by project ids |
| projectHealths | query | optional | array | filter by project healths 0: not set |
| projectCompanyIds | query | optional | array | filter by company ids |
| projectCategoryIds | query | optional | array | filter by project category ids |
| includeCustomFieldIds | query | optional | array | include specific custom fields |
| include | query | optional | array | include (not used when generating reports) |
| fields[workflows] | query | optional | array | — |
| fields[users] | query | optional | array | — |
| fields[tags] | query | optional | array | — |
| fields[stages] | query | optional | array | — |
| fields[projects] | query | optional | array | — |
| fields[projectcategories] | query | optional | array | — |
| fields[projectUpdates] | query | optional | array | — |
| fields[projectBudgets] | query | optional | array | — |
| fields[portfolioColumns] | query | optional | array | — |
| fields[portfolioCards] | query | optional | array | — |
| fields[portfolioBoards] | query | optional | array | — |
| fields[industries] | query | optional | array | — |
| fields[customfields] | query | optional | array | — |
| fields[customfieldProjects] | query | optional | array | — |
| fields[countries] | query | optional | array | — |
| fields[companies] | query | optional | array | — |
| featuresEnabled | query | optional | array | filter by projects that have features enabled |
| excludeTagIds | query | optional | array | exclude by project tag ids |
200 OK (no data)
400 Bad Request
403 Forbidden
GET /projects/api/v3/reporting/precanned/health/projects.xlsx
/projects/api/v3/projects/{projectId}/risks
Return all risks for a specific project. Only filters that the logged-in user
has access will be returned.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| updatedAfterDate | query | optional | string | filter by risks updated after specified date (deprecated, use updatedAfter) |
| updatedAfter | query | optional | string | filter by risks updated after specified date |
| sortOrder | query | optional | string | sort order (deprecated, use orderMode) |
| sort | query | optional | string | sort by (deprecated, use orderBy) |
| searchTerm | query | optional | string | search term |
| reportFormat | query | optional | string | define the format of the report |
| orderMode | query | optional | string | sort order |
| orderBy | query | optional | string | sort by |
| projectId | path | required | integer | — |
| probabilityTo | query | optional | integer | filter by probability |
| probabilityFrom | query | optional | integer | filter by probability |
| pageSize | query | optional | integer | number of items in a page |
| page | query | optional | integer | page number |
| impactTo | query | optional | integer | filter by impact |
| impactFrom | query | optional | integer | filter by impact |
| skipCounts | query | optional | boolean | SkipCounts allows you to skip doing counts on a list API endpoint for |
| showDeleted | query | optional | boolean | include deleted items |
| onlyStarredProjects | query | optional | boolean | filter by starred projects only |
| matchAllProjectTags | query | optional | boolean | enforce all tag ids must be matched |
| isReportDownload | query | optional | boolean | generate a report document |
| includeArchivedProjects | query | optional | boolean | include archived projects |
| impactSchedule | query | optional | boolean | filter by risks that impact schedule |
| impactPerformance | query | optional | boolean | filter by risks that impact performance |
| impactCost | query | optional | boolean | filter by risks that impact cost |
| statuses | query | optional | array | filter by risk statuses |
| projectTagIds | query | optional | array | filter by project tag ids |
| projectStatuses | query | optional | array | list of project statuses |
| projectOwnerIds | query | optional | array | filter by project owner ids |
| projectIds | query | optional | array | filter by project ids |
| projectHealths | query | optional | array | list of project health |
| projectCompanyIds | query | optional | array | filter by company ids |
| projectCategoryIds | query | optional | array | filter by project category ids |
| include | query | optional | array | include |
| ids | query | optional | array | filter by specific ids |
| fields[users] | query | optional | array | — |
| fields[risks] | query | optional | array | — |
| fields[projects] | query | optional | array | — |
| fields[companies] | query | optional | array | — |
200 OK
400 Bad Request
403 Forbidden
GET /projects/api/v3/projects/{projectId}/risks
/projects/api/v3/projects/{projectId}/risks/copy
Copies the risk register from one project to another.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| projectId | path | required | integer | — |
200 OK (no data)
400 Bad Request
403 Forbidden
404 Not Found (no data)
PUT /projects/api/v3/projects/{projectId}/risks/copy
/projects/api/v3/risks.json
Return all risks for the provided filters. Only filters that the logged-in user
has access will be returned.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| updatedAfterDate | query | optional | string | filter by risks updated after specified date (deprecated, use updatedAfter) |
| updatedAfter | query | optional | string | filter by risks updated after specified date |
| sortOrder | query | optional | string | sort order (deprecated, use orderMode) |
| sort | query | optional | string | sort by (deprecated, use orderBy) |
| searchTerm | query | optional | string | search term |
| reportFormat | query | optional | string | define the format of the report |
| orderMode | query | optional | string | sort order |
| orderBy | query | optional | string | sort by |
| probabilityTo | query | optional | integer | filter by probability |
| probabilityFrom | query | optional | integer | filter by probability |
| pageSize | query | optional | integer | number of items in a page |
| page | query | optional | integer | page number |
| impactTo | query | optional | integer | filter by impact |
| impactFrom | query | optional | integer | filter by impact |
| skipCounts | query | optional | boolean | SkipCounts allows you to skip doing counts on a list API endpoint for |
| showDeleted | query | optional | boolean | include deleted items |
| onlyStarredProjects | query | optional | boolean | filter by starred projects only |
| matchAllProjectTags | query | optional | boolean | enforce all tag ids must be matched |
| isReportDownload | query | optional | boolean | generate a report document |
| includeArchivedProjects | query | optional | boolean | include archived projects |
| impactSchedule | query | optional | boolean | filter by risks that impact schedule |
| impactPerformance | query | optional | boolean | filter by risks that impact performance |
| impactCost | query | optional | boolean | filter by risks that impact cost |
| statuses | query | optional | array | filter by risk statuses |
| projectTagIds | query | optional | array | filter by project tag ids |
| projectStatuses | query | optional | array | list of project statuses |
| projectOwnerIds | query | optional | array | filter by project owner ids |
| projectIds | query | optional | array | filter by project ids |
| projectHealths | query | optional | array | list of project health |
| projectCompanyIds | query | optional | array | filter by company ids |
| projectCategoryIds | query | optional | array | filter by project category ids |
| include | query | optional | array | include |
| ids | query | optional | array | filter by specific ids |
| fields[users] | query | optional | array | — |
| fields[risks] | query | optional | array | — |
| fields[projects] | query | optional | array | — |
| fields[companies] | query | optional | array | — |
200 OK
400 Bad Request
403 Forbidden
GET /projects/api/v3/risks.json
/projects/api/v3/projects/{projectId}/summary.json
Retrieves the summary from a specific project, returning counters about
tasks, milestones, columns, events, risks, timers, projects healths.
On this endpoint you can filter by project custom fields. The syntax for the
query parameter is the following:
projectCustomField[id][op]=value
Where:
For example, if I want to filter a dropdown custom field with ID 10 to only
return entries that have the value “Option1” we would do the following:
projectCustomField[10][eq]=Option1
The allowed operators are:
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| until | query | optional | string | used to limit the since counters to a specific period |
| timeRangeStart | query | optional | string | filter by start datetime |
| timeRangeEnd | query | optional | string | filter by end datetime |
| timeRange | query | optional | string | filter by time range. It will be ignored if timeRangeStart and timeRangeEnd |
| status | query | optional | string | project status (deprecated, use projectStatuses) |
| projectStatus | query | optional | string | project status |
| projectId | path | required | integer | — |
| eventsDaysAhead | query | optional | integer | number of days remaining to event’s start |
| useStartDatesForTodaysTasks | query | optional | boolean | enforce today is considered as start date for today’s tasks |
| unreadMessagesMineOnly | query | optional | boolean | filter by my unread messages only |
| unreadCommentsMineOnly | query | optional | boolean | filter by my unread comments only |
| onlyStarredProjects | query | optional | boolean | filter by starred projects only |
| onlyProjectEvents | query | optional | boolean | filter only project events |
| matchAllTags | query | optional | boolean | enforce all tag ids must be matched (deprecated, use matchAllProjectTags) |
| matchAllProjectTags | query | optional | boolean | enforce all tag ids must be matched |
| includeAssigneeTeams | query | optional | boolean | include teams related to the taskAssigneeUserIds |
| includeArchivedProjects | query | optional | boolean | include archived projects |
| eventsAttendingOnly | query | optional | boolean | count only events that the users are attending |
| applyTaskAssigneeUsersToSince | query | optional | boolean | the since section will only use taskAssigneeUserIds if this flag is true |
| applySinceOnUnread | query | optional | boolean | when enabled unread counters will respect the time range period. |
| userIds | query | optional | array | filter by user ids |
| timeLoggedByUserIds | query | optional | array | filter by user ids who time logged |
| taskAssigneeUserIds | query | optional | array | filter by user ids with tasks assigned |
| projectTagIds | query | optional | array | filter by project tag ids |
| projectStatuses | query | optional | array | project statuses |
| projectOwnerIds | query | optional | array | filter by project owner ids |
| projectIds | query | optional | array | filter by project ids |
| projectHealths | query | optional | array | project healths 0: not set |
| projectHealth | query | optional | array | project health (deprecated, use projectHealths) 0: not set |
| projectCompanyIds | query | optional | array | filter by company ids |
| projectCategoryIds | query | optional | array | filter by project category ids |
| milestoneAssigneeUserIds | query | optional | array | filter by user ids with milestones assigned |
| health | query | optional | array | project healths (deprecated, use projectHealths) 0: not set |
| filterTagIds | query | optional | array | filter by project tag ids (deprecated, use projectTagIds) |
| fields[unread] | query | optional | array | — |
| fields[time] | query | optional | array | — |
| fields[tasks] | query | optional | array | sparse fields |
| fields[since] | query | optional | array | — |
| fields[risks] | query | optional | array | — |
| fields[milestones] | query | optional | array | — |
| fields[health] | query | optional | array | 0: not set |
| fields[events] | query | optional | array | — |
| fields[columns] | query | optional | array | — |
| companyIds | query | optional | array | filter by company ids (deprecated, use projectCompanyIds) |
| assigneeUserIds | query | optional | array | filter by user ids with tasks or milestones assigned |
200 OK
400 Bad Request
GET /projects/api/v3/projects/{projectId}/summary.json
/projects/api/v3/summary.json
Retrieves the summary from the entire installation, returning counters about
tasks, milestones, columns, events, risks, timers, projects healths.
On this endpoint you can filter by project custom fields. The syntax for the
query parameter is the following:
projectCustomField[id][op]=value
Where:
For example, if I want to filter a dropdown custom field with ID 10 to only
return entries that have the value “Option1” we would do the following:
projectCustomField[10][eq]=Option1
The allowed operators are:
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| until | query | optional | string | used to limit the since counters to a specific period |
| timeRangeStart | query | optional | string | filter by start datetime |
| timeRangeEnd | query | optional | string | filter by end datetime |
| timeRange | query | optional | string | filter by time range. It will be ignored if timeRangeStart and timeRangeEnd |
| status | query | optional | string | project status (deprecated, use projectStatuses) |
| projectStatus | query | optional | string | project status |
| eventsDaysAhead | query | optional | integer | number of days remaining to event’s start |
| useStartDatesForTodaysTasks | query | optional | boolean | enforce today is considered as start date for today’s tasks |
| unreadMessagesMineOnly | query | optional | boolean | filter by my unread messages only |
| unreadCommentsMineOnly | query | optional | boolean | filter by my unread comments only |
| onlyStarredProjects | query | optional | boolean | filter by starred projects only |
| onlyProjectEvents | query | optional | boolean | filter only project events |
| matchAllTags | query | optional | boolean | enforce all tag ids must be matched (deprecated, use matchAllProjectTags) |
| matchAllProjectTags | query | optional | boolean | enforce all tag ids must be matched |
| includeAssigneeTeams | query | optional | boolean | include teams related to the taskAssigneeUserIds |
| includeArchivedProjects | query | optional | boolean | include archived projects |
| eventsAttendingOnly | query | optional | boolean | count only events that the users are attending |
| applyTaskAssigneeUsersToSince | query | optional | boolean | the since section will only use taskAssigneeUserIds if this flag is true |
| applySinceOnUnread | query | optional | boolean | when enabled unread counters will respect the time range period. |
| userIds | query | optional | array | filter by user ids |
| timeLoggedByUserIds | query | optional | array | filter by user ids who time logged |
| taskAssigneeUserIds | query | optional | array | filter by user ids with tasks assigned |
| projectTagIds | query | optional | array | filter by project tag ids |
| projectStatuses | query | optional | array | project statuses |
| projectOwnerIds | query | optional | array | filter by project owner ids |
| projectIds | query | optional | array | filter by project ids |
| projectHealths | query | optional | array | project healths 0: not set |
| projectHealth | query | optional | array | project healths (deprecated, use projectHealths) 0: not set |
| projectCompanyIds | query | optional | array | filter by company ids |
| projectCategoryIds | query | optional | array | filter by project category ids |
| milestoneAssigneeUserIds | query | optional | array | filter by user ids with milestones assigned |
| filterTagIds | query | optional | array | filter by project tag ids (deprecated, use projectTagIds) |
| fields[unread] | query | optional | array | — |
| fields[time] | query | optional | array | — |
| fields[tasks] | query | optional | array | sparse fields |
| fields[since] | query | optional | array | — |
| fields[risks] | query | optional | array | — |
| fields[milestones] | query | optional | array | — |
| fields[health] | query | optional | array | 0: not set |
| fields[events] | query | optional | array | — |
| fields[columns] | query | optional | array | — |
| companyIds | query | optional | array | filter by company ids (deprecated, use projectCompanyIds) |
| assigneeUserIds | query | optional | array | filter by user ids with tasks or milestones assigned |
200 OK
400 Bad Request
GET /projects/api/v3/summary.json
/projects/api/v3/tags.json
Return all tags that the logged-in user can access.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| updatedAfter | query | optional | string | search for tags updated after the provided date |
| searchTerm | query | optional | string | filter by search term |
| orderMode | query | optional | string | order mode |
| orderBy | query | optional | string | order by |
| itemType | query | optional | string | filter by item type |
| filter | query | optional | string | mode used when filtering the tags |
| pageSize | query | optional | integer | number of items in a page |
| page | query | optional | integer | page number |
| withCounters | query | optional | boolean | include in the response the number of items that use the tag |
| skipSpecial | query | optional | boolean | do not include in the response special tags |
| skipCounts | query | optional | boolean | SkipCounts allows you to skip doing counts on a list API endpoint for |
| searchRightOnly | query | optional | boolean | search term will be placed as a prefix to match the tag names |
| skipIds | query | optional | array | skip from the result tags with the defined ids |
| projectIds | query | optional | array | filter by projects |
| ids | query | optional | array | filter by ids |
| fields[tags] | query | optional | array | — |
200 OK
400 Bad Request
GET /projects/api/v3/tags.json
/projects/api/v3/tags.json
Creates a new tag. If there’s already a tag with the same name in the
installation, it will be returned in the response with the status code 200
(OK).
application/json
tag.Request
| Property | Type | Required |
|---|---|---|
| tag | object | optional |
| └ name | string | optional |
| └ color | string | optional |
| └ projectId | integer | optional |
200 OK
201 Created
400 Bad Request
403 Forbidden
409 Conflict
POST /projects/api/v3/tags.json
/projects/api/v3/tags/bulk/delete.json
Removes many tags at once.
application/json
tag.BulkDeleteRequest
| Property | Type | Required |
|---|---|---|
| tagIds | array | optional |
| tagNames | array | optional |
204 No Content (no data)
400 Bad Request
403 Forbidden
404 Not Found (no data)
POST /projects/api/v3/tags/bulk/delete.json
/projects/api/v3/tags/{tagId}.json
Removes a tag. If there’s no tag with the given ID the status code 409
(CONFLICT) will be returned.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| tagId | path | required | integer | — |
204 No Content (no data)
400 Bad Request
403 Forbidden
404 Not Found (no data)
DELETE /projects/api/v3/tags/{tagId}.json
/projects/api/v3/tags/{tagId}.json
Return a specific tag.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| tagId | path | required | integer | — |
200 OK
400 Bad Request
404 Not Found (no data)
GET /projects/api/v3/tags/{tagId}.json
/projects/api/v3/tags/{tagId}.json
Updates a existing tag. If there’s already a tag with the same changed name
in the installation, it will be returned the status code 409 (CONFLICT).
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| tagId | path | required | integer | — |
application/json
tag.Request
| Property | Type | Required |
|---|---|---|
| tag | object | optional |
| └ name | string | optional |
| └ color | string | optional |
| └ projectId | integer | optional |
200 OK
400 Bad Request
403 Forbidden
404 Not Found (no data)
409 Conflict
PATCH /projects/api/v3/tags/{tagId}.json
/projects/api/v3/tasks/{taskId}/comments.json
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| updatedAfterDate | query | optional | string | filter by updated after date (deprecated, use updatedAfter) |
| updatedAfter | query | optional | string | filter by updated after date |
| searchTerm | query | optional | string | filter by comment content (like v1 filterText param) |
| publishedStartDate | query | optional | string | filter by published after date |
| publishedEndDate | query | optional | string | filter by published before date |
| orderMode | query | optional | string | order mode |
| orderBy | query | optional | string | order by |
| commentStatus | query | optional | string | filter by commment status |
| taskId | path | required | integer | — |
| pageSize | query | optional | integer | number of items in a page |
| page | query | optional | integer | page number |
| strictHTML | query | optional | boolean | use strict html filtering fto content |
| getReactionsCount | query | optional | boolean | get reactions count |
| userIds | query | optional | array | filter by user ids |
| notifiedUserIds | query | optional | array | filter by users who got notified for the comments |
| include | query | optional | array | include |
| fields[users] | query | optional | array | — |
200 OK
400 Bad Request
403 Forbidden
404 Not Found (no data)
GET /projects/api/v3/tasks/{taskId}/comments.json
/projects/api/v3/projects/{projectId}/tasklists
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| updatedAfter | query | optional | string | filter by updated after date |
| searchTerm | query | optional | string | filter by search term |
| projectType | query | optional | string | filter by project type |
| orderMode | query | optional | string | order mode |
| orderBy | query | optional | string | order by |
| projectId | path | required | integer | — |
| projectBudgetId | query | optional | integer | filter the task list budget by its parent project budget id, if none |
| pageSize | query | optional | integer | number of items in a page |
| page | query | optional | integer | page number |
| useFormulaFields | query | optional | boolean | use formula fields |
| sortActiveListsFirst | query | optional | boolean | sort active lists first |
| skipCounts | query | optional | boolean | SkipCounts allows you to skip doing counts on a list API endpoint for |
| showPrivate | query | optional | boolean | include private items |
| showDeleted | query | optional | boolean | include deleted items |
| showCompleted | query | optional | boolean | include completed items |
| isReportDownload | query | optional | boolean | this means use the tasklist report endpoint, which has totally different query params |
| includeArchivedProjects | query | optional | boolean | include archived projects |
| getEmptyLists | query | optional | boolean | include empty lists |
| completedOnly | query | optional | boolean | include only completed items |
| projectIds | query | optional | array | filter by project ids |
| projectCompanyIds | query | optional | array | filter by project company ids |
| include | query | optional | array | include |
| ids | query | optional | array | filter by ids |
| fields[users] | query | optional | array | — |
| fields[teams] | query | optional | array | — |
| fields[tags] | query | optional | array | — |
| fields[projects] | query | optional | array | — |
| fields[milestones] | query | optional | array | — |
| fields[lockdowns] | query | optional | array | — |
| fields[companies] | query | optional | array | — |
200 OK
400 Bad Request
403 Forbidden
GET /projects/api/v3/projects/{projectId}/tasklists
/projects/api/v3/projects/{projectId}/tasklists.csv
Generates a task list report in CSV format containing all tasks for the
provided filters. Only the tasks that the logged-in user can access will be
returned.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| taskDate | query | optional | string | filter by task date |
| startDate | query | optional | string | filter by start datetime |
| reportFormat | query | optional | string | define the format of the report |
| orderMode | query | optional | string | order mode |
| orderBy | query | optional | string | order by |
| endDate | query | optional | string | filter by end datetime |
| commentsOrderMode | query | optional | string | order mode of the comments |
| tasklistId | query | optional | integer | filter by task list |
| projectId | path | required | integer | — |
| projectId | query | optional | integer | filter by project |
| useFormulaFields | query | optional | boolean | use formula fields |
| onlyCompletedTasks | query | optional | boolean | only completed tasks |
| isReportDownload | query | optional | boolean | generate a report document |
| includeTime | query | optional | boolean | include time |
| includeTags | query | optional | boolean | include tags |
| includePrivateItems | query | optional | boolean | include private items |
| includeLateTasks | query | optional | boolean | include late tasks |
| includeEstimatedTime | query | optional | boolean | include estimated time |
| includeCustomFields | query | optional | boolean | include custom fields |
| includeCompletedTasks | query | optional | boolean | include completed tasks |
| includeComments | query | optional | boolean | include comments |
| includeCommentAvatars | query | optional | boolean | include comment avatars |
| includeColumns | query | optional | boolean | include columns |
| includeAnytimeTasks | query | optional | boolean | include anytime tasks |
| includeAllComments | query | optional | boolean | include all comments |
| ignoreStartDates | query | optional | boolean | ignore task start dates |
| groupByTasklists | query | optional | boolean | group by task lists |
| tags | query | optional | array | filter by tag names |
| tagIds | query | optional | array | filter by tag ids |
| assignedToUserIds | query | optional | array | filter by assigned user ids |
| assignedToTeamIds | query | optional | array | filter by assigned team ids |
| assignedToCompanyIds | query | optional | array | filter by assigned company ids |
200 OK (no data)
400 Bad Request
403 Forbidden
GET /projects/api/v3/projects/{projectId}/tasklists.csv
/projects/api/v3/projects/{projectId}/tasklists.html
Generates a task list report in HTML format containing all tasks for the
provided filters. Only the tasks that the logged-in user can access will be
returned.
| Name | In | Required | Type | Description |
|---|---|---|---|---|
| taskDate | query | optional | string | filter by task date |
| startDate | query | optional | string | filter by start datetime |
| reportFormat | query | optional | string | define the format of the report |
| orderMode | query | optional | string | order mode |
| orderBy | query | optional | string | order by |
| endDate | query | optional | string | filter by end datetime |
| commentsOrderMode | query | optional | string | order mode of the comments |
| tasklistId | query | optional | integer | filter by task list |
| projectId | path | required | integer | — |
| projectId | query | optional | integer | filter by project |
| useFormulaFields | query | optional | boolean | use formula fields |
| onlyCompletedTasks | query | optional | boolean | only completed tasks |
| isReportDownload | query | optional | boolean | generate a report document |
| includeTime | query | optional | boolean | include time |
| includeTags | query | optional | boolean | include tags |
| includePrivateItems | query | optional | boolean | include private items |
| includeLateTasks | query | optional | boolean | include late tasks |
| includeEstimatedTime | query | optional | boolean | include estimated time |
[...]
